# Guild Eslint Config

[![semantic-release](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg)](https://github.com/semantic-release/semantic-release)
[![Commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg)](http://commitizen.github.io/cz-cli/)

[working with this repo](CONTRIBUTING.md)

---

At Guild, our JavaScript style is based on [JavaScript Standard Style](https://standardjs.com/rules.html) with a few exceptions:

In addition to [JavaScript Standard Style](https://standardjs.com/rules.html), we also extend: 
- `plugin:@typescript-eslint/recommended`
- `plugin:jsx-a11y/recommended`
- `plugin:react/recommended`
- `plugin:jest/recommended`
- `plugin:testing-library/react`
- `plugin:react-hooks/recommended`
- `plugin:prettier/recommended`


## Install Config [![npm version](https://badge.fury.io/js/%40guildeducationinc%2Feslint-config-guild-typescript.svg)](https://www.npmjs.com/package/@guildeducationinc/eslint-config-guild-typescript)

To install the `typescript` config, run:
```bash
yarn add -D @guildeducationinc/eslint-config-guild-typescript
```

Install the peer dependencies
```bash 
yarn add prettier@2.7.1 @typescript-eslint/eslint-plugin@5.39.0 @typescript-eslint/parser@5.39.0 eslint@8.24.0 eslint-config-prettier@8.5.0 eslint-config-standard@17.0.0 eslint-plugin-cypress@2.12.1 eslint-plugin-import@2.26.0 eslint-plugin-jest@27.1.1 eslint-plugin-jsx-a11y@6.6.1 eslint-plugin-n@15.0.0 eslint-plugin-node@11.1.0 eslint-plugin-prettier@4.2.1 eslint-plugin-promise@6.0.1 eslint-plugin-react@7.31.8 eslint-plugin-react-hooks@4.6.0 eslint-plugin-testing-library@5.7.2 prettier@2.7.1 -D
```

## Usage
Extend your `eslint` config with the installed guild config.

For `typescript`:
```json
{
  "extends": "@guildeducationinc/eslint-config-guild-typescript"
}
```
## Code Climate Usage

In your projects `.codeclimate.yml` config, add the appropriate config:

```diff
prepare:
  fetch:
  # For typescript
+    - url: 'https://cdn.jsdelivr.net/npm/@guildeducationinc/eslint-config-guild-typescript@{version}'
+      path: '.eslintrc.js'

plugins:
+ eslint:
+  enabled: true
+  channel: eslint-5
```
